import request from '@/utils/request'

// 查询清洁要求列表
export function listAppCleanRequest(query) {
  return request({
    url: '/model/AppCleanRequest/list',
    method: 'get',
    params: query
  })
}

// 查询清洁要求详细
export function getAppCleanRequest(cleanRequestId) {
  return request({
    url: '/model/AppCleanRequest/' + cleanRequestId,
    method: 'get'
  })
}

// 新增清洁要求
export function addAppCleanRequest(data) {
  return request({
    url: '/model/AppCleanRequest',
    method: 'post',
    data: data
  })
}

// 修改清洁要求
export function updateAppCleanRequest(data) {
  return request({
    url: '/model/AppCleanRequest',
    method: 'put',
    data: data
  })
}

// 删除清洁要求
export function delAppCleanRequest(cleanRequestId) {
  return request({
    url: '/model/AppCleanRequest/' + cleanRequestId,
    method: 'delete'
  })
}
